List Brands
curl --request GET \
--url https://server.promptwatch.com/api/v2/brands \
--header 'X-API-Key: <api-key>'import requests
url = "https://server.promptwatch.com/api/v2/brands"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://server.promptwatch.com/api/v2/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brands": [
{
"id": "6ba7b81d-9dad-11d1-80b4-00c04fd430c8",
"name": "Example Brand",
"domain": "example.com",
"relation": "SELF"
},
{
"id": "6ba7b81e-9dad-11d1-80b4-00c04fd430c8",
"name": "Fabrikam Co",
"domain": "fabrikam.example",
"relation": "DIRECT_COMPETITOR"
}
],
"total": 2,
"page": 1,
"size": 50,
"totalPages": 1
}Brands
List Brands
Get all brands for the project.
Favicons are available from a separate public endpoint (not part of API v2).See Brand icons.
GET
/
brands
List Brands
Authorizations
API key for authentication. Get yours from the Promptwatch dashboard under Settings > API Keys.
Query Parameters
Filter by brand relation
Available options:
SELF, DIRECT_COMPETITOR, OTHER, IGNORED Search by brand name or domain
Page number (1-based)
Required range:
x >= 1Page size
Required range:
1 <= x <= 100